<!--开学季活动-->
<template>
	<div id="transferAlert" class="transfer-alert">
		<div class="content">
			<div class="close"></div>
			<img class="bg-a trans-alert-bg" src="http://static2.61info.com/service/imgs/groupPurchase/act/transfer_rate/alert_a.png" alt="">
			<img class="bg-float trans-alert-bg" src="http://static2.61info.com/service/imgs/groupPurchase/act/transfer_rate/alert_b.png" alt="">
			<p class="text-float top-text">咕比为您推荐好课</p>
			<div class="text-a top-text">
				<span class="text">你确定要离开么</span>
				<div class="cut-down"></div>
			</div>
			<ul class="course-list">
			</ul>
			<div class="bottom-btns">
				<div class="btn see-more">
					<img src="http://static2.61info.com/service/imgs/groupPurchase/act/transfer_rate/btn_more.png" alt="">
				</div>
				<div class="btn change-course">
					<img src="http://static2.61info.com/service/imgs/groupPurchase/act/transfer_rate/btn_change.png" alt="">
				</div>
				<div class="btn see-more1">
					<img src="http://static2.61info.com/service/imgs/groupPurchase/act/transfer_rate/btn_more1.png" alt="">
				</div>
			</div>
		</div>
	</div>

	<li id="courseItem" class="course-item">
		<img class="course-img" src="http://static2.61info.com/service/imgs/groupPurchase/newCourseImg/c_13_intro_moreCourse.png?v=202002191616" alt="">
		<div class="course-info">
			<p class="title"></p>
			<div class="price"></div>
			<div class="btn">
				<span class="btn-desc"></span>
			</div>
		</div>
		<div class="coupon"></div>
	</li>

	<div id="transferAlertB" class="transfer-alert-b">
		<div class="content">
			<img class="sub-img" style="pointer-events: auto" src="http://static2.61info.com/service/imgs/groupPurchase/act/transfer_rate/alert_sub1.png" alt="">
			<div class="close"></div>
		</div>
	</div>

	<div id="transferFloatOut" class="transfer-float-out">
		<img src="http://static2.61info.com/service/imgs/groupPurchase/act/transfer_rate/gubi_out.png" alt="">
	</div>
	<div id="transferFloatIn" class="transfer-float-in">
		<img src="http://static2.61info.com/service/imgs/groupPurchase/act/transfer_rate/gubi_in.png" alt="">
	</div>

	<div id="transferBanner" class="transfer-banner">
		<img src="http://static2.61info.com/service/imgs/groupPurchase/act/transfer_rate/see_more_banner.png" alt="">
	</div>
</template>

<script>
	export default {
		data: {
			pageName: $('body').data('page-name'),
			courseId: +window.courseId,
			resListData: {},
			// 测试的课程
			testCourseIds: [138, 156, 83, 140, 106, 42],
			// 测试项目
			testProjectMap: {
				FULL_GROUP: 138,
				ALERT_A: 156,
				ALERT_B: 83,
				FLOAT: 140,
				UNION: 106,
				welfare: 42
			},
			userStatusMap: {
				isNewUser: 1,
				other: 2
			},
			isTestA: +window.userId % 2 == 1,
			$floatOut: null,
			$floatIn: null,
			$banner: null,
			$alert: {
				a: null,
				b: null,
				float: null
			},
			hadShowBottomBtns: false,
			url: {
				index: '/wx/groupBuy/moreCourse.html',
				detail: '/wx/groupBuy/courseDetails.html'
			},
			pvuvMap: {
				visit: '',
				exposure_key: '1253',
				click_key: '1254',
				alertA_coures_click: '1255',
				alertA_moreReco: '1256',
				alertA_change: '1257',
				alertA_close: '1258',
				alertB_close: '1259',
				floatOUt_exposure: '1261',
				floatOUt_click: '1260',
				floatIn_exposure: '1263',
				floatIn_click: '1262',
				banner_exposure: '1265',
				banner_click: '1264'
			},
			channelMap: {
				page: '160200034',
				alertA: '160200035',
				alertB: '160200036',
				alertFloat: '160200037'
			}
		},
		// 初始化
		init: function () {
			var _this = this;

			if (_this.data.courseId == _this.data.testProjectMap.welfare && window.isGroupFull == 'false') {
				_this.initWelfare();
				return
			}

			// 在拼团页针对新用户（购课为0）且该用户当前未关注任一公众号，且未领完100集皮皮百科的用户
			if (window.showDialog == 'true' || window.showDialog == true) {
				if (localStorage.getItem('transAlert') && localStorage.getItem('isTransBack')) {
					_this.initPopEven();
					localStorage.setItem('isTransBack', '');
					setTimeout(function () {
						history.go(-1);
					}, 100)
				} else {
					_this.initHistory();
				}
				return
			}

			// // 不是新用户
			// if (+window.isNewUser != _this.data.userStatusMap.isNewUser) {
			// 	return
			// }
			// // 不符合本次的课程
			// if (_this.data.testCourseIds.indexOf(_this.data.courseId) == -1) {
			// 	return
			// }
			// // 不属于A测试
			// if (!_this.data.isTestA) {
			// 	return
			// }
			// if (_this.data.courseId == _this.data.testProjectMap.FULL_GROUP) {
			// 	window.transferChannel = _this.data.channelMap.page;
			// 	window.channel = _this.data.channelMap.page;
			// 	request.addChannels(_this.data.pvuvMap.exposure_key, _this.data.channelMap.page);
			// 	_this.initBanner();
			// 	return
			// }
			//
			// _this.initBanner();
			// _this.initScroll();
			// _this.getListData();
		},
		initBaiKeAlert: function () {
			var _this = this;
			var wxPopState = _this.wxPopState();
			var channelMap = _this.data.channelMap;
			var pvuvMap = _this.data.pvuvMap;

			wxPopState.register({
				needPushState: false, // 是否需要推入历史栈,如果页面中已有此操作,则可忽略此参数
				callback: function() {
					// do something
					baiKeAlert();
				}
			});

			function baiKeAlert () {
				var $subAlert = $(transferAlertB);
				$('body').append($subAlert);
				request.addChannels(pvuvMap.exposure_key, channelMap.alertB);
				$subAlert.find('.close').on('click', function () {
					request.addPvuv(pvuvMap.alertB_close);
					$subAlert.hide();
				})
			}
		},
		getListData: function () {
			var _this = this;
			request.courseList({recommendKey: 'recommend_key_group_bx_op', courseId: _this.data.courseId}, function (res) {
				if (res.resultCode.code == 0) {
					_this.data.resListData = res.value;
					if (localStorage.getItem('transAlert') && localStorage.getItem('isTransBack')) {
						_this.initPopEven();
						localStorage.setItem('isTransBack', '');
						setTimeout(function () {
							history.go(-1);
						}, 100)
					} else {
						_this.initHistory();
					}
				}
			})
		},
		initBanner: function () {
			var _this = this;

			if ($('.course-recommend').length == 0) {
				setTimeout(function () {
					_this.initBanner();
				}, 500);
				return
			}

			var $banner = $(transferBanner);
			$banner.insertAfter($('.course-recommend'));
			_this.data.$banner = $banner;
			$banner.on('click', function () {
				request.addPvuv(_this.data.pvuvMap.banner_click, function () {
					location.href = _this.data.url.index + '?channel=' + _this.data.channelMap.page;
				});
			})
		},
		initHistory: function () {
			var _this = this;

			// console.log('android version is: ' + getAndroidVersion())

			// 安卓版本为7 popstate会刷新
			// if (isAndroid() && isAndroidVersion7(getAndroidVersion())) {
			// 	return
			// }
			if (isAndroid()) {
				if (localStorage.getItem('transAlert')) {
					localStorage.setItem('transAlert', '');
				} else {
					localStorage.setItem('transAlert', 'transAlert');
				}
				window.addEventListener('popstate', function () {
					localStorage.setItem('hadShowBottomBtns', _this.data.hadShowBottomBtns ? 'hadShowBottomBtns' : '');
					localStorage.setItem('isTransBack', 'true');
					if (!localStorage.getItem('transAlert')) {
						localStorage.setItem('transAlert', 'transAlert');
					}
					window.location.reload();
				})
				return
			}

			initPopstate();

			function initPopstate() {
				window.addEventListener('popstate', function () {
					_this.initPopEven();
				})
			}

			function getAndroidVersion () {
				var ua = navigator.userAgent.toLowerCase();
				var match = ua.match(/android\s([0-9\.]*)/);
				return match ? match[1] : false;
			}
			function isAndroid () {
				return navigator.userAgent.indexOf('Android') > -1 || navigator.userAgent.indexOf('Adr') > -1;
			}
			function isAndroidVersion7 (version) {
				var reg = /^7.*/;
				return reg.test(version);
			}
		},
		initPopEven: function () {
			var _this = this;
			_this.showAlert('b');
			return

			var testProjectMap = _this.data.testProjectMap;
			switch (_this.data.courseId) {
				// 弹窗A
				case testProjectMap.ALERT_A:
					_this.showAlert('a')
					break
				// 弹窗B
				case testProjectMap.ALERT_B:
					_this.showAlert('b')
					break
				// 综合测试
				case testProjectMap.UNION:
					var hadShowBottomBtns = localStorage.getItem('hadShowBottomBtns');
					// 仅针对新用户（购课为0）进入拼团页后有出现浮动购买按钮，且未点击弹出浮标弹窗
					if (hadShowBottomBtns && !_this.data.$alert.float) { // 出现底部浮动按钮，则弹a
						_this.showAlert('a');
						break
					}
					// 1，针对新用户（购课为0）且该用户未关注任一公众号，进入拼团页后未出现浮动购买按钮
					// 2，针对新用户（购课为0）且该用户未关注任一公众号，进入拼团页后有出现浮动购买按钮，已点击弹出浮标弹窗
					if (window.subscribe == 'false' && ((!hadShowBottomBtns) ||　(hadShowBottomBtns && _this.data.$alert.float))) {
						// 出现底部浮动按钮，则弹
						_this.showAlert('b');
					}
					localStorage.setItem('hadShowBottomBtns', '');
					break
			}
		},
		initScroll: function () {
			var _this = this;

			var pvuvMap = _this.data.pvuvMap;
			var testProjectMap = _this.data.testProjectMap;
			var showFloat = [testProjectMap.FLOAT, testProjectMap.UNION].indexOf(_this.data.courseId) > -1;

			var hadSetPvuv = false
			var preScrollY = 0;
			document.addEventListener('scroll', function () {
				var scrollY = window.scrollY;

				if (utils.isInView($('.pay_btn_bottom').get(0))) {
					_this.data.hadShowBottomBtns = true;
				}
				if (_this.data.$banner.length > 0 && utils.isInView(_this.data.$banner.get(0))) {
					request.addPvuv(pvuvMap.banner_exposure);
				}

				if (!showFloat) {
					return
				}

				if (scrollY == 0) {
					_this.data.$floatIn && _this.data.$floatIn.hide();
					_this.data.$floatOut && _this.data.$floatOut.hide();
					return
				} else {
					if (_this.data.$floatIn && _this.data.$floatIn.is(":hidden")) {
						_this.data.$floatOut && _this.data.$floatOut.show();
					}
				}

				if (hadSetPvuv) {
					return
				}

				if (scrollY >= preScrollY) {
					preScrollY = scrollY;
					return
				}

				var $floatIn = $(transferFloatIn);
				var $floatOut = $(transferFloatOut);

				$floatOut.on('click', function () {
					$(this).hide();
					$floatIn.show();
					request.addPvuv(pvuvMap.floatIn_exposure);
					request.addPvuv(pvuvMap.floatOUt_click);
				})

				$floatIn.on('click', function () {
					_this.showAlert('float')
					request.addPvuv(pvuvMap.floatIn_click);
				})

				_this.data.$floatIn = $floatIn;
				_this.data.$floatOut = $floatOut;

				$('body').append($floatIn);
				request.addPvuv(pvuvMap.floatIn_exposure);
				setTimeout(function () {
					$floatIn.hide();
					$('body').append($floatOut);
					request.addPvuv(pvuvMap.floatOUt_exposure);
				}, 5000)
				hadSetPvuv = true
			})
		},
		showAlert: function (type) {
			var _this = this;
			var pvuvMap = _this.data.pvuvMap;
			var channelMap = _this.data.channelMap;

			if (_this.data.$alert[type]) {
				_this.data.$alert[type].show();
				if (type == 'float') {
					request.addChannels(pvuvMap.exposure_key, channelMap.alertFloat);
				}
				return
			}

			// 关注弹窗
			if (type == 'b') {
				var $alert = $(transferAlertB);

				$alert.on('click', '.close', function () {
					$alert.hide();
					request.addPvuv(pvuvMap.alertB_close);
				})
				$alert.find('.sub-img').css('height', $(window).height() * .75 + 'px');

				_this.data.$alert[type] = $alert
				$('body').append($alert);
				request.addChannels(pvuvMap.exposure_key, channelMap.alertB);
				return
			}

			// a弹窗和浮标弹窗
			var $alert = $(transferAlert);
			$alert.find('.bg-' + type).show();
			$alert.find('.text-' + type).show();

			var courseList = _this.data.resListData.courseList || [];
			var couponCountDown = _this.data.resListData.couponCountDown;

			var $courseList = $alert.find('.course-list');
			var maxLen = courseList.length;
			var setGroupLen = 3;
			var curIndex = -setGroupLen;
			renderListCourse();

			// 定时器
			if (type == 'a') {
				if (couponCountDown > 0) {
					var timer = new NewTimer(couponCountDown, function (time) {
						var timeH = time[0] * 24 + (+time[1]);
						timeH = timeH < 10 ? '0' + timeH : timeH;
						$alert.find('.cut-down').html('<p class="cut-text">优惠仅剩</p><p class="time">' + timeH +  '</p><p class="line">:</p><p class="time">' + time[2] + '</p><p class="line">:</p><p class="time">' + time[3] + '</p><p class="line">:</p><p class="t_time_ms">' + time[4] + '</p>')
					}, function () {

					}, 100).startCountDown();
				} else {
					$alert.find('.cut-down').hide();
				}
			}

			$alert.on('click', '.change-course', function () {
				renderListCourse()
				request.addPvuv(pvuvMap.alertA_change)
			})
			$alert.on('click', '.see-more', function () {
				if (type == 'a') {
					request.addPvuv(pvuvMap.alertA_moreReco, function () {
						location.href = _this.data.url.index + '?channel=' + _this.data.channelMap.alertA;
					})
					return
				}
				location.href = _this.data.url.index + '?channel=' + _this.data.channelMap.alertFloat;
			})
			$alert.on('click', '.see-more1', function () {
				location.href = _this.data.url.index + '?channel=' + (type == 'a' ? _this.data.channelMap.alertA : _this.data.channelMap.alertFloat);
			})
			$alert.on('click', '.close', function () {
				$alert.hide();
				if (type == 'a') {
					request.addPvuv(pvuvMap.alertA_close)
				}
			})
			$alert.on('click', '.course-item', function () {
				$alert.hide();
				var courseId = $(this).data('courseid');
				type == 'a' ? request.addPvuv(pvuvMap.alertA_coures_click) : request.addChannels(pvuvMap.click_key, channelMap.alertFloat);
				setTimeout(function () {
					location.href = _this.data.url.detail + '?courseId=' + courseId + '&state=' + (type == 'a' ? channelMap.alertA : channelMap.alertFloat);
				}, 100)
			})

			_this.data.$alert[type] = $alert
			$('body').append($alert);

			request.addChannels(pvuvMap.exposure_key, type == 'a' ? channelMap.alertA : channelMap.alertFloat);

			function renderListCourse() {
				curIndex += setGroupLen;
				var renderList = courseList.slice(curIndex, curIndex + setGroupLen);
				if (curIndex + setGroupLen >= maxLen) {
					$alert.find('.change-course').hide();
					$alert.find('.see-more1').show();
				}
				renderItemCourse($courseList, renderList);
			}

			function renderItemCourse ($courseList, renderList) {
				$courseList.empty();
				renderList.forEach(function (course, index) {
					if (index > 2) return
					$courseItem = $(courseItem);
					$courseItem.attr('data-courseid', course.courseId);
					$courseItem.find('.course-img').attr('src', course.coverImageUrlIntro);
					$courseItem.find('.title').text(course.courseName);
					$courseItem.find('.price').text('原价￥' + course.courseGroupBuyPrice);
					$courseItem.find('.btn-desc').text('￥' + course.discountGroupBuyPrice + ' 立即开团');
					if (couponCountDown > 0 && curIndex == 0 && index == 0) {
						$courseItem.find('.coupon').show();
					}
					$courseList.append($courseItem);
				})
			}
		},
		wxPopState: function () {
			var wxPopState = (function() {
				// 返回时浏览器强制刷新的微信版本号
				var problemVersions = ['7.0.4', '7.0.5', '7.0.6', '7.0.7', '7.0.8'];
				// 设置缓存的key值
				var setItemKeyName = '_wx_popstate';
				// 判断当前是否为有命中的版本
				var isProblemVersion = !!~problemVersions.indexOf(getWxVersion());
				// 处理后返回刷新的回调,即相当在popstate中定义的事件
				var callback = null;

				// 获取微信版本号
				function getWxVersion() {
					return navigator.userAgent.match(/MicroMessenger\/(\d+\.\d+\.\d+)[\.\s]?/)[1];
				}

				// push历史栈
				function pushState() {
					var state = {
						title: "",
						url: "#"
					};
					window.history.pushState(state, state.title, state.url);
				}

				return {
					register: function(options) {
						var needPushState = options.needPushState;
						callback = options.callback;
						if (!callback) {
							return
						}
						// 通过setItemKeyName的值可以判断是否为按键返回的。
						// 如果值存在，将执行后退定义的事件，并且不再注册返回事件和推入历史栈。
						// 如果值不存在，将注册返回时需要设置的操作。
						if (localStorage.getItem(setItemKeyName)) {
							this.popstateEven();
							return
						}
						if (needPushState) {
							pushState();
						}
						window.addEventListener('popstate', function() {
							// 有问题版本的处理
							if (isProblemVersion) {
								// 设置这一步非常重要,为了判断是否为按键返回的
								localStorage.setItem(setItemKeyName, '1');
								// 这一步的目的是以上有问题的版本返回时会刷新
								// 为确保其一定刷新操作,可以考虑设置以下方法
								window.location.reload();
								return
							}
							// 非问题版本将进行正常注册逻辑
							callback && callback();
						})
					},
					popState: function() {
						window.history.go(-1);
					},
					popstateEven: function() {
						if (!isProblemVersion) {
							return
						}
						// 以上版本物理返回时将执行register里定义的callback函数
						callback && callback();
						localStorage.setItem(setItemKeyName, '');
					}
				}
			})();
			return wxPopState
		},
		// 新用户福利测试
		initWelfare: function () {
			console.log('test---------------',1211111)
			if (window.welfareTimeDown && window.welfareTimeDown > 0) {
				$('.noPayTime').hide();
				$('.noPayTime').after('<div class="welfareTimeDown"></div>')
				$('.bottom_btn_join').append('<div class="welfareTimeDown2"></div>')
				$('.collage_title').addClass('welfare');
				var timer = new NewTimer(window.welfareTimeDown, function (time) {
					var timeH = time[0] * 24 + (+time[1]);
					timeH = timeH < 10 ? '0' + timeH : timeH;
					$('.welfareTimeDown').html('<div class="timeDiv"><span class="time_h time">'+timeH+'</span><span class="time">: </span><span class="time_m time">'+time[2]+'</span><span class="time">: </span><span class="time_s time">'+time[3]+'</span><span class="time">: </span><span class="time_ms time">'+time[4]+'</span></div>')
					$('.welfareTimeDown2').html('<div class="timeDiv"><div class="timeDivleft"><span class="time_h time">'+timeH+'</span><span class="time">: </span><span class="time_m time">'+time[2]+'</span><span class="time">: </span><span class="time_s time">'+time[3]+'</span><span class="time">: </span><span class="time_ms time">'+time[4]+'</span></div><div class="timeDivRight"><span style="font-weight: bold;color: #ff0101;">前</span>下单再赠</div></div>')
				}, function () {
					$('.welfareTimeDown,.welfareTimeDown2').hide();
					$('.noPayTime').show();
					$('.collage_title').removeClass('welfare');
				}, 100).startCountDown();
			} else {
				$('.welfareTimeDown').hide();
				$('.welfareTip').hide();
				$('.noPayTime').show();
			}
		}
	}
</script>

<style scoped lang="less">
	@BASE_IMG_URL: 'http://static2.61info.com/service/imgs/groupPurchase/act/transfer_rate';

	.active {
		display: block;
	}
	.inactive {
		display: none;
	}

	.transfer-alert {
		position: fixed;
		top: 0;
		left: 0;
		z-index: 1100;
		background: rgba(0, 0, 0, .85);
		width: 100%;
		height: 100%;
		.content {
			position: absolute;
			top: 50%;
			left: 50%;
			margin-top: 40px;
			transform: translate(-50%, -50%);
			width: 621px;
			height: 981px;
			display: flex;
			flex-direction: column;
			align-items: center;
			justify-content: flex-start;
			.close {
				position: absolute;
				top: -70px;
				right: 0;
				width: 100px;
				height: 100px;
			}
			.trans-alert-bg {
				position: absolute;
				bottom: 0;
				left: 0;
				z-index: -1;
				display: none;
			}
			.bg-a {
				width: 100%;
				height: 1099px;
			}
			.bg-float {
				width: 100%;
				height: 1050px;
			}
			.top-text {
				display: none;
			}
			.text-float {
				font-size: 54px;
				color: #ffffff;
				padding: 94px 0 40px;
				text-align: center;
			}
			.text-a {
				padding: 47px 0 41px;
				text-align: center;
				.text {
					font-size: 54px;
					color: #ffffff;
				}
				.cut-down {
					display: flex;
					align-items: center;
					justify-content: flex-start;
					margin-top: 21px;
					.cut-text {
						font-size: 36px;
						color: #ffffff;
						margin-right: 9px;
					}
					.line {
						margin: 0 5px;
						color: #fff;
					}
					.time {
						width: 74px;
						height: 45px;
						font-size: 33px;
						color: #ff554c;
						letter-spacing: 19px;
						text-align: center;
						line-height: 45px;
						box-sizing: border-box;
						padding-left: 10px;
						background: url('@{BASE_IMG_URL}/time_bg.png') no-repeat center / 100%;
					}
					.t_time_ms {
						width: 38px;
						height: 45px;
						font-size: 33px;
						color: #ff554c;
						text-align: center;
						line-height: 45px;
						background: url('@{BASE_IMG_URL}/time_bg1.png') no-repeat center / 100%;
					}
				}
			}
			.course-list {
				.course-item {
					position: relative;
					.coupon {
						position: absolute;
						top: 58px;
						right: -18px;
						width: 193px;
						height: 56px;
						display: none;
						background: url('@{BASE_IMG_URL}/coupon_6_tip.png') no-repeat center / 100%;
					}
					&:last-child {
						margin-bottom: 0;
					}
					position: relative;
					width: 560px;
					height: 190px;
					background-color: #ffffff;
					box-shadow: 0px 8px 8px 0px rgba(255, 195, 78, 0.4), inset 0px -60px 60px 0px rgba(204, 204, 204, 0.2);
					border-radius: 20px;
					margin-bottom: 12px;
					box-sizing: border-box;
					padding: 20px 17px 20px 20px;
					display: flex;
					.course-img {
						width: 225px;
						height: 150px;
						border-radius: 16px;
						margin-right: 20px;
					}
					.course-info {
						width: 277px;
						height: 100%;
						.title {
							font-size: 28px;
							color: #404040;
							overflow: hidden;/*超出部分隐藏*/
							text-overflow: ellipsis;/* 超出部分显示省略号 */
							white-space: nowrap;/*规定段落中的文本不进行换行 */
						}
						.price {
							font-size: 20px;
							color: #404040;
							margin-top: 13px;
						}
						.btn {
							position: absolute;
							bottom: 0;
							right: 0;
							width: 246px;
							height: 90px;
							/*width: 220px;*/
							/*height: 64px;*/
							background: url('@{BASE_IMG_URL}/course_btn.png') no-repeat center / 100%;
							border-radius: 16px;
							font-size: 28px;
							color: #ffffff;
							text-align: center;
							line-height: 74px;
						}
					}
				}
			}
			.bottom-btns {
				width: 560px;
				margin-top: 31px;
				display: flex;
				justify-content: space-between;
				.btn {
					&.see-more1 {
						display: none;
					}
					position: relative;
					width: 240px;
					height: 72px;
					.btn-img {
						position: absolute;
						top: 0;
						left: 50%;
						transform: translateX(-50%);
						width: 280px;
						height: 112px;
					}
				}
			}
		}
	}
	.transfer-alert-b {
		position: fixed;
		top: 0;
		left: 0;
		z-index: 1100;
		background: rgba(0, 0, 0, .85);
		width: 100%;
		height: 100%;
		.content {
			position: absolute;
			top: 50%;
			left: 50%;
			transform: translate(-50%, -50%);
			.sub-img {
				width: auto;
				height: 900px;
				/*position: absolute;*/
				/*top: 226px;*/
				/*left: 50%;*/
				/*transform: translateX(-50%);*/
				/*z-index: 9;*/
				/*width: 282px;*/
				/*height: 282px;*/
			}
			.close {
				position: absolute;
				top: -60px;
				right: 0;
				width: 60px;
				height: 60px;
				background: url('@{BASE_IMG_URL}/close.png') no-repeat right center / 36px;
			}
		}
	}
	.transfer-float-out {
		 position: fixed;
		 bottom: 36%;
		 right: 0;
		 transform: scale(.8);
		 transform-origin: right center;
		 z-index: 99;
		 width: 109px;
		 height: 77px;
	 }
	.transfer-float-in {
		position: fixed;
		bottom: 30%;
		right: 13px;
		z-index: 99;
		width: 156px;
		height: 156px;
		transform: scale(.8);
		transform-origin: right center;
	}
	.transfer-banner {
		width: 100%;
		height: 160px;
		padding: 51px 0;
		margin-top: -.15rem;
		background: #fff;
		display: flex;
		justify-content: center;
		align-items: center;
		img {
			width: 696px;
		}
	}

	/*animate*/
	.newterm-heartbeat {
		animation: heartBeat 1s infinite;
	}
	@-webkit-keyframes heartBeat {
		0% {
			-webkit-transform: scale(1);
			transform: scale(1);
		}

		14% {
			-webkit-transform: scale(.8);
			transform: scale(.8);
		}

		28% {
			-webkit-transform: scale(1);
			transform: scale(1);
		}

		42% {
			-webkit-transform: scale(.8);
			transform: scale(.8);
		}

		70% {
			-webkit-transform: scale(1);
			transform: scale(1);
		}
	}
	.welfareTimeDown{
		width: 5.23rem;
		height: 1.4rem;
		font-size: .3rem;
		margin: 0 auto .24rem;
		color: #333;
		text-align: center;
		background: url('@{BASE_IMG_URL}/collageWelfare1.png') no-repeat center / 100%;
		position: relative;
		.timeDiv{
			position: absolute;
			left: 1.92rem;
			top: .18rem;
			.time{
				font-weight: bold;
				color: #ff4e00;
				font-size: .24rem;
			}
		}
	}
	.welfareTimeDown2{
		width: 4.4rem;
		height: .78rem;
		background: url('@{BASE_IMG_URL}/collageWelfare2.png') no-repeat center / 100%;
		position: absolute;
		left: 2.38rem;
		top: -.78rem;
		.timeDiv{
			position: absolute;
			left: .32rem;
			top: .18rem;
			font-size: .28rem;
			color: #404040;
			width: 3.1rem;
			overflow: hidden;
			.timeDivleft{
				float: left;
			}
			.timeDivRight{
				float: right;
			}
			.time{
				font-weight: bold;
				color: #ff0101;
			}
		}
	}
	.collage_title.welfare{
		font-size: .32rem;
		font-weight: normal;
	}
	.welfareInviteTip{
		font-size: .24rem;
		color: #404040;
		text-align: center;
		margin-bottom: .2rem;
		p{
			line-height: .3rem;
		}
	}
</style>
